<?php
/**
 * Register the required plugins for this theme.
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin
 * @author     Gary Jones
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */

/*Include the TGM_Plugin_Activation class.*/
require_once get_template_directory() . '/TGM-Plugin-Activation/class-tgm-plugin-activation.php';

/*TGM_Plugin_Activation class constructor.*/
function minera_register_required_plugins() {
    $plugins = array(
        array(
            'name'               => esc_html__('Visual Composer', 'minera'),
            'slug'               => 'visual-composer',
            'source'             => get_template_directory() . '/inc/plugins/visual-composer.zip',
            'required'           => true,
            'version'            => '',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => ''
        ),
        array(
            'name'               => esc_html__('Revolution Slider', 'minera'),
            'slug'               => 'revolution-slider',
            'source'             => get_template_directory() . '/inc/plugins/revolution-slider.zip',
            'required'           => false,
            'version'            => '',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => ''
        ),
        array(
            'name'               => esc_html__('HT Packages', 'minera'),
            'slug'               => 'ht-packages',
            'source'             => get_template_directory() . '/inc/plugins/ht-packages.zip',
            'required'           => true,
            'version'            => '',
            'force_activation'   => false,
            'force_deactivation' => false,
            'external_url'       => ''
        ),
        array(
            'name' => esc_html__('Envato Market', 'minera'),
            'slug' => 'envato-market',
            'source' => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
            'recommended' => true,
        ),
        array(
            'name'      => esc_html__('Unyson', 'minera'),
            'slug'      => 'unyson',
            'required'  => true,
        ),
        array(
            'name'      => esc_html__('Kirki', 'minera'),
            'slug'      => 'kirki',
            'required'  => true,
        ),
        array(
            'name'      => esc_html__('Woocommerce', 'minera'),
            'slug'      => 'woocommerce',
            'required'  => true,
        ),
        array(
            'name'      => esc_html__('YITH Woocommerce Wishlist', 'minera'),
            'slug'      => 'yith-woocommerce-wishlist'
        ),
        array(
            'name'      => esc_html__('Variation Swatches for WooCommerce', 'minera'),
            'slug'      => 'variation-swatches-for-woocommerce'
        ),
        array(
            'name'      => esc_html__('Contact Form 7', 'minera'),
            'slug'      => 'contact-form-7'
        ),
    );

    $config = array(
        'id'           => 'tgmpa',
        'menu'         => 'tgmpa-install-plugins',/*menu slug*/
        'capability'   => 'edit_theme_options',
        'is_automatic' => false,
    );

    tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'minera_register_required_plugins' );
