<?php
/**
 * The template for displaying the footer.
 * Contains the closing of the #content div and all content after
 * @package minera
 */


/*page option*/
$pid = get_queried_object_id();

if( class_exists( 'WooCommerce' ) ){
    if( is_shop() ){
        $pid = get_option( 'woocommerce_shop_page_id' );
    }elseif( is_cart() ){
        $pid = get_option( 'woocommerce_cart_page_id' );
    }elseif( is_checkout() ){
        $pid = get_option( 'woocommerce_checkout_page_id' );
    }elseif( is_account_page() ){
        $pid = get_option( 'woocommerce_myaccount_page_id' );
    }
}
$p_footer = function_exists( 'fw_get_db_post_option' ) ? fw_get_db_post_option( $pid, 'footer_layout' ) : 'default';

/*customize option*/
$c_footer = get_theme_mod( 'c_footer_layout', 'default' );

$footer_id = $c_footer;

if( !  empty( $p_footer ) && $p_footer != 'default' ){
	$footer_id = $p_footer;
}

if( 'disable' != $footer_id ):
    ?>
	<footer class="theme-footer flw">
		<?php
            minera_edit_location( 'footer' );

            if( 'default' != $footer_id ) {
                /*get ht-footer with id = $footer_id*/
                $ht_footer = get_post( $footer_id );
                echo apply_filters( 'the_content', $ht_footer->post_content );

			}else{
                ?>
				<div class="footer-default">
					<a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e('minera.', 'minera'); ?></a>
					<p><?php echo '&copy; ' . date('Y'); ?> <a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e('Minera.', 'minera') ?> </a><?php esc_html_e('All Rights Reserved.', 'minera'); ?></p>
				</div>
			<?php
                }
                /*footer sidebar*/
                if( is_active_sidebar( 'footer-widget' ) ):
                    echo '<div class="container">';
                        echo '<div class="row">';
                            dynamic_sidebar('footer-widget');
                        echo '</div>';
                    echo '</div>';
                endif;
            ?>
		<span class="scroll-to-top ion-ios-arrow-up" aria-label="<?php esc_attr_e('Back to top', 'minera'); ?>" title="<?php esc_attr_e('Scroll To Top', 'minera'); ?>"></span>
	</footer>
<?php endif; ?>

<?php if(class_exists('Woocommerce' )):/*quick view content*/ ?>
	<div id="ht-quick-view-popup" class="c-ht-qvp" role="dialog">
		<div class="ht-qvo"></div>
		<div class="quick-view-box">
			<a href="#" id="ht-qvc" class="c-ht-qvc ion-ios-close-empty"></a>
		</div>
	</div>
    <div id="ht-cart-sidebar">
        <div class="cart-sidebar-head">
            <h3 class="cart-sidebar-title"><?php esc_html_e( 'Shopping cart', 'minera' ); ?></h3>
            <button class="cart-sidebar-close-btn ion-ios-close-outline" aria-label="<?php esc_attr_e('Close', 'minera'); ?>"></button>
        </div>
        <div class="cart-sidebar-content">
            <?php woocommerce_mini_cart(); ?>
        </div>
    </div>
    <div class="ht-cart-overlay"></div>
<?php endif; ?>

<?php minera_header_layout_six($start = false);/*header-layout-6*/ ?>
<?php minera_page_content_boxed($start = false);/*page content boxed layout*/ ?>

</div>

<?php if(get_theme_mod('loading', false) == true):/*loading effect*/ ?>
    <span class="is-loading-effect"></span>
<?php endif; ?>

<?php wp_footer(); ?>
</body>
</html>
