<?php /*BLOG==========================================================================================================*/

/*blog display style*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'select',
    'settings'  => 'c_blog_style',
    'section'   => 'blog',
    'label'     => esc_attr__( 'Display style', 'minera' ),
    'description' => esc_attr__('Select display style for blog page', 'minera'),
    'default'   => 'pagi',
    'choices' => array(
        'pagi' => esc_attr__('Pagination', 'minera'),
        'btn' => esc_attr__('Load more button', 'minera'),
        'scroll' => esc_attr__('Infinite scroll', 'minera'),
    ),
));

/*default pagination*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'c_blog_pagi',
    'section'   => 'blog',
    'default'   => '<div style="padding: 10px;background-color: #333;color: #fff;border-radius: 5px;">' . esc_html__( 'Default option', 'minera' ) . '</div>',
    'active_callback' => array(
        array(
            'setting' => 'c_blog_style',
            'operator' => '==',
            'value' => 'pagi'
        )
    )
));

/*button load more*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'c_blog_btn',
    'section'   => 'blog',
    'default'   => '<div style="padding: 10px;background-color: #333;color: #fff;border-radius: 5px;">' . esc_html__( 'This option will load content (blog posts) within the current page or content area as you click to Load more button', 'minera' ) . '</div>',
    'active_callback' => array(
        array(
            'setting' => 'c_blog_style',
            'operator' => '==',
            'value' => 'btn'
        )
    )
));

/*infinite scroll*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'c_blog_scroll',
    'section'   => 'blog',
    'default'   => '<div style="padding: 10px;background-color: #333;color: #fff;border-radius: 5px;">' . esc_html__( 'This option will load content (blog posts) within the current page or content area as you scroll down', 'minera' ) . '</div>',
    'active_callback' => array(
        array(
            'setting' => 'c_blog_style',
            'operator' => '==',
            'value' => 'scroll'
        )
    )
));

/*blog title*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'c_blog_title',
	'label'     => esc_attr__( 'Blog Title', 'minera' ),
    'description'     => esc_attr__( 'Enter the title', 'minera' ),
	'default'   => esc_attr__( 'Our Blogs', 'minera' ),
	'section'   => 'blog',
));

/*header background image*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'cropped_image',
    'settings'  => 'c_blog_image_bg',
    'label'     => esc_attr__( 'Background image', 'minera' ),
    'section'   => 'blog',
    'width' => 1920,
    'height' => 550,
    'description'   => esc_attr__( 'Upload background image of page header here!', 'minera' ),
    'output'     => array(
        array(
            'element' => '.group-blog .theme-breadcrumb',
            'property' => 'background-image',
        )
    ),
));