<?php /*BREADCRUMBS===================================================================================================*/

/*label*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'custom',
    'settings'  => 'kirki_label_bread_label',
    'label'     => esc_attr__( 'Custom your page header here', 'minera' ),
    'section'   => 'c_crumbs',
    'partial_refresh' => array(
		'bread_edit_location' => array(
			'selector'        => '#bread-edit-location',
			'render_callback' => 'minera_edit_location',
		),
	),
));

/*en/disable page breadcumbs*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'switch',
	'settings'  => 'c_bread',
	'label'     => esc_attr__( 'On/Off page header', 'minera' ),
	'section'   => 'c_crumbs',
	'default'   => '1',
	'choices' => array(
		'yes' => esc_attr__('Yes', 'minera'),
		'no' => esc_attr__('No', 'minera'),
	),
));

/*breadcrumbs display*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'switch',
	'settings'  => 'c_bread_display',
	'section'   => 'c_crumbs',
	'label'     => esc_attr__( 'On/off breadcrumbs', 'minera' ),
	'default'     => '1',
	'choices' => array(
		'on'  => esc_attr__( 'On', 'minera' ),
		'off' => esc_attr__( 'Off', 'minera' )
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
	),
));

/*background breadcrumb*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'radio',
	'settings'  => 'c_header_bg',
	'label'     => esc_attr__( 'Background', 'minera' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'minera'),
	'section'   => 'c_crumbs',
	'default'   => 'bg_color',
	'choices'   => array(
		'bg_image' => esc_attr__( 'Use Image', 'minera' ),
		'bg_color' => esc_attr__( 'Use Solid Color', 'minera' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
	),
));
//use img
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'cropped_image',
	'settings'  => 'c_header_bg_image',
	'label'     => esc_attr__( 'Upload Image', 'minera' ),
	'section'   => 'c_crumbs',
	'width'	=> 1920,
	'height' => 550,
	'description'   => esc_attr__( 'Upload background image of page header here!', 'minera' ),
	'output'     => array(
		array(
			'element' => 'body:not(.single):not(.single-product) .theme-breadcrumb',/*not aply for single product*/
			'property' => 'background-image',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '==',
			'value'    => 'bg_image',
		),
	)
));
//use css
Minera_Kirki::add_field( 'minera', array(
  	'type'        => 'color',
	'settings'    => 'c_header_bg_color',
	'label'       => esc_attr__( 'Select Color', 'minera' ),
	'section'     => 'c_crumbs',
	'default'     => '#f9e5b8',
	'transport' => 'auto',
	'choices' => array(
		'alpha' => true
	),
	'output'     => array(
		array(
			'element' => '.theme-breadcrumb',
			'property' => 'background-color',
		)
	),
  	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '!=',
			'value'    => 'bg_image',
		),
	)
));

/*text align*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'select',
	'settings'  => 'c_bread_align',
	'label'     => esc_attr__( 'Text align', 'minera' ),
	'section'   => 'c_crumbs',
	'choices'   => array(
		'left' => esc_attr__( 'Left', 'minera' ),
		'right' => esc_attr__( 'Right', 'minera' ),
		'center' => esc_attr__( 'Center', 'minera' ),
	),
	'default' => 'center',
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
	),
));

/*spacing*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'slider',
	'settings'  => 'c_spacing_top',
	'label'     => esc_attr__( 'Spacing top', 'minera' ),
    'description' => esc_attr__('Unit: px', 'minera'),
	'section'   => 'c_crumbs',
	'transport' => 'auto',
	'choices'     => array(
		'min'  => '0',
		'max'  => '300',
		'step' => '5',
	),
	'output' => array(
    	array(
            'element' => '.bread-spacing-top',
            'property' => 'height',
            'units' => 'px',
            'media_query' => '@media (min-width: 992px)'
        )	
	),
	'default' => 200,
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
	),
));
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'slider',
	'settings'  => 'c_spacing_bot',
	'label'     => esc_attr__( 'Spacing bottom', 'minera' ),
    'description' => esc_attr__('Unit: px', 'minera'),
	'section'   => 'c_crumbs',
	'transport' => 'auto',
	'choices'     => array(
		'min'  => '0',
		'max'  => '300',
		'step' => '5',
	),
	'output' => array(
    	array(
            'element' => '.bread-spacing-bot',
            'property' => 'height',
            'units' => 'px',
            'media_query' => '@media (min-width: 992px)'
        )
	),
	'default' => 200,
	'active_callback'  => array(
		array(
			'setting'  => 'c_bread',
			'operator' => '==',
			'value'    => '1',
		),
	),
));