<?php
/**
 * Colors
 *
 * @package minera
 */

// Primary color.
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'color',
	'settings'  => 'primary_color',
	'label'     => esc_attr__( 'Primary color', 'minera' ),
	'section'   => 'color',
	'default' => '#3e3e3e',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => array(
				'a',
				'.vc_general.vc_btn3.vc_btn3-style-text-underline-btn',
				'.vc_general.vc_btn3.vc_btn3-style-text-underline-btn:hover',
				'.theme-iconbox .iconbox-title',
				'.p-title',
				'.wpb-js-composer .vc_general.vc_tta.vc_tta-style-minera-tabs .vc_tta-tab.vc_active>a',
				'.wpb-js-composer .vc_general.vc_tta.vc_tta-style-minera-tabs .vc_tta-tab>a:hover',
				'.footer-social a',
				'.tagcloud a:hover',
				'.widget a:hover',
				'.widget_archive a:hover+.widget-post-count',
				'.widget_categories a:hover+.widget-post-count',
				'.ht-pagination a:hover',
				'.woocommerce-pagination a:hover',
				'.p-action .add_to_cart_button',
				'.p-action .quick-view-btn',
				'.p-wl-btn',
				'.p-wl-url',
				'.p-action .select-option-btn',
				'.cart-sidebar-content .woocommerce-mini-cart__total',
				'.woocommerce-tabs .wc-tabs li.active a',
				'.w-summary-box .p-tooltip',
				'.sc-pro-feature .sale-count-time .sale-time',
				'.product_meta .p-shared a:hover',
				'.theme-search-btn',
				'.theme-login-btn',
				'.shopping-cart-icon',
				'.header-layout-5 .w-head-box:before',
				'.header-layout-5 .theme-shopping-cart:before',
				'.woocommerce-page .payment_methods .wc_payment_method label',
				'.woocommerce-page #order_review .shop_table .order-total *',
				'.woocommerce-page .login .button[name="login"]',
				'.woocommerce-page .checkout_coupon .button[name="login"]',
			),
			'property' => 'color',
		),
		array(
			'element' => array(
				'.vc_general.vc_btn3.vc_btn3-style-text-underline-btn:before',
				'.wpb-js-composer .vc_general.vc_tta.vc_tta-style-minera-tabs .vc_tta-tab .vc_tta-title-text:before',
				'.el-loading',
				'.btn-load-more-post',
				'.comment-form #submit',
				'.footer-social a:hover',
				'.ctf-blog input[type="submit"]',
				'.search-form .search-submit',
				'.widget .woocommerce-mini-cart__buttons a',
				'.price_slider_wrapper .price_slider_amount button',
				'.widget_layered_nav button',
				'.price_slider_wrapper .ui-widget-header',
				'.ht-pagination>.page-numbers .page-numbers.current',
				'.woocommerce-pagination>.page-numbers .page-numbers.current',
				'.p-action .p-tooltip',
				'.cart-sidebar-head',
				'.cart-sidebar-content .woocommerce-mini-cart__buttons a',
				'.single_add_to_cart_button',
				'.woocommerce-wishlist .wishlist_table .product-add-to-cart a',
				'.ctf-contact-form input[type="submit"]',
				'.ctf-contact-form input [type="reset"]',
				'.ctf-deco1>label input[type="submit"]',
				'.ctf-fas3 input[type="submit"]',
				'.sc-pro-feature.style-3 .sale-buy-now a',
				'.theme-iconbox:hover .iconbox-last-ico',
				'.sc-pro-feature.style-1 .sale-buy-now a',
				'.theme-shopping-cart .counter-cart',
				'.header-layout-5 #sidebar-menu-btn',
				'#sidebar-menu-btn span',
				'.shop-view-list .atc-shop-list a',
				'.woocommerce-cart .woocommerce-cart-form__contents .actions .coupon input[type="submit"]',
				'.woocommerce-cart .woocommerce-cart-form__contents .actions .cart-action .cart-update-btn',
				'.woocommerce-cart .wc-proceed-to-checkout a',
				'.woocommerce-page #place_order',
				'#shipping_method input[type="button"]',
				'.woocommerce-page .login .button[name="login"]:hover',
				'.woocommerce-page .login .button[name="login"]:focus',
				'.woocommerce-page .checkout_coupon .button[name="login"]:hover',
				'.woocommerce-page .checkout_coupon .button[name="login"]:focus',
				'.footer-email-widget button',
			),
			'property' => 'background-color',
		),
		array(
			'element' => array(
				'.w-thumb-crs .slick-current .w-thumb-item',
				'.woocommerce-page .login .button[name="login"]',
				'.woocommerce-page .checkout_coupon .button[name="login"]',
			),
			'property' => 'border-color',
		),
	),
));

// Secondary color.
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'color',
	'settings'  => 'secondary_color',
	'label'     => esc_attr__( 'Secondary color', 'minera' ),
	'section'   => 'color',
	'default' => '#a9803c',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => array(
				'.crumbs .last-item',
				'.crumbs a:hover',
				'.woocommerce-mini-cart-item .w-cart-pro-name:hover',
				'.post-tit a:hover',
				'.blog-news-tit:hover',
				'.read-more:hover',
				'.theme-iconbox a.iconbox-title:hover',
				'#ht-search-field',
				'.ht-search-info',
				'.theme-search-btn:hover',
				'.header-layout-2 #ht-search-btn:hover',
				'.page .header-layout-4 .theme-search-btn:hover',
				'.theme-login-btn:hover',
				'.shopping-cart-icon:hover',
				'.page .header-layout-4 .shopping-cart-icon:hover',
				'.w-head-action a:hover',
				'.w-head-box:hover .theme-login-btn',
				'.theme-shopping-cart .shopping-cart-icon:hover',
				'#checkout-top .woocommerce-info a',
			),
			'property' => 'color',
		),
		array(
			'element' => array(
				'.btn-load-more-post.btn-is-loading:before',
				'.is-loading-effect:before',
				'.so-more-loading',
				'.p-image.image-is-loading:before',
				'.p-action .add_to_cart_button.loading:after',
				'.cart-sidebar-content.cart-removing:before',
				'.w-crs:not(.slick-initialized):before',
				'.shop-view-list .atc-shop-list a.loading:after',
				'.single_add_to_cart_button.adding-to-cart:after',
				'.p-wl-btn-clicked:after',
				'#ht-quick-view-popup.ht-qvp-loading:before',
				'.woocommerce-wishlist .wishlist_table .product-add-to-cart .wishlist-atc .add_to_cart_button.loading:after',
				'.woocommerce-checkout .woocommerce .loader:before',
				'.woocommerce-checkout .woocommerce .blockUI.blockOverlay:before',
			),
			'property' => 'border-top-color',
		),
		array(
			'element' => array(
				'#ht-search-field',
			),
			'property' => 'border-bottom-color',
		),
		array(
			'element' => array(
				'#page-loader #nprogress .bar',
				'.onsale',
				'.page .header-layout-4 #sidebar-menu-btn:hover',
				'.scroll-to-top',
			),
			'property' => 'background-color',
		),
	),
));
