<?php
/*GENERAL===================================================================================================*/
/*header layout*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'select',
	'settings'  => 'header_layout_cfg',
	'label'     => esc_attr__( 'Header Layout', 'minera' ),
	'section'   => 'c_general',
	'default'   => 'layout-1',
    'priority' => 1,
	'description' => esc_attr__('Choose Header Preset Select your main header preset here to apply for all pages', 'minera'),
	'choices' => array(
		'layout-1' => esc_attr__('Layout 1', 'minera'),
		'layout-2' => esc_attr__('Layout 2', 'minera'),
		'layout-3' => esc_attr__('Layout 3', 'minera'),
		'layout-4' => esc_attr__('Layout 4', 'minera'),
		'layout-5' => esc_attr__('Layout 5', 'minera'),
		'layout-6' => esc_attr__('Layout 6', 'minera'),
	)
));

/*logo image*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'image',
    'settings'  => 'logo_img',
    'label'     => esc_attr__( 'Logo Image', 'minera' ),
    'description' => esc_attr__('Select logo image your website', 'minera'),
    'section'   => 'c_general',
    'priority' => 2
));

/*loading effect*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'switch',
	'settings'  => 'loading',
	'label'     => esc_attr__( 'Preloader', 'minera' ),
	'section'   => 'c_general',
	'default'   => '0',
	'description' => esc_attr__('This option showing a loading animation while your site loads', 'minera'),
	'choices' => array(
		'off' => esc_attr__('Off', 'minera'),
		'on' => esc_attr__('On', 'minera'),
	)
));

/*smooth scroll*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'switch',
	'settings'  => 'smooth',
	'label'     => esc_attr__( 'Smooth scrolling', 'minera' ),
	'section'   => 'c_general',
	'default'   => '0',
	'description' => esc_attr__('Smooth scrolling for the web', 'minera'),
	'choices' => array(
		'off' => esc_attr__('Off', 'minera'),
		'on' => esc_attr__('On', 'minera'),
	)
));

/*sticky menu*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'sticky',
    'label'     => esc_attr__( 'Sticky menu on scroll', 'minera' ),
    'section'   => 'c_general',
    'default'   => '0',
    'choices' => array(
        'off' => esc_attr__('Off', 'minera'),
        'on' => esc_attr__('On', 'minera'),
    )
));

/*sticky on mobile*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'sticky_mobile',
    'label'     => esc_attr__( 'Sticky menu on mobile', 'minera' ),
    'section'   => 'c_general',
    'default'   => '0',
    'choices' => array(
        'off' => esc_attr__('Off', 'minera'),
        'on' => esc_attr__('On', 'minera'),
    ),
    'active_callback' => array(
        array(
            'setting' => 'sticky',
            'operator' => '==',
            'value' => '1'
        )
    )
));

/*only search product*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'product_search',
    'label'     => esc_attr__( 'Search only product', 'minera' ),
    'description' => esc_attr__('Show only products in storefront search results', 'minera'),
    'section'   => 'c_general',
    'default'   => '0',
    'choices' => array(
        'off' => esc_attr__('Off', 'minera'),
        'on' => esc_attr__('On', 'minera'),
    ),
));