<?php
/* Products per page */
/*title*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'text',
    'settings'  => 'c_shop_ppp',
    'label'     => esc_attr__( 'Products per page', 'minera' ),
    'description' => esc_attr__('Enter number of products per page', 'minera'),
    'section'   => 'shop',
    'default' => 12,
));

/*header background image*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'cropped_image',
	'settings'  => 'c_shop_image_bg',
    'label'     => esc_attr__( 'Background image', 'minera' ),
	'section'   => 'shop',
    'width' => 1920,
    'height' => 550,
    'description'   => esc_attr__( 'Upload background image for Shop page', 'minera' ),
    'output'     => array(
        array(
            'element' => '.shop-archive:not(.single):not(.single-product) .theme-breadcrumb',/*not aply for single product*/
            'property' => 'background-image',
        )
    ),
));

/*title*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'text',
    'settings'  => 'c_shop_title',
    'label'     => esc_attr__( 'Page title', 'minera' ),
    'description' => esc_attr__('Enter the title', 'minera'),
    'section'   => 'shop',
    'default' => esc_attr__('Shop', 'minera'),
));

/*full width*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'switch',
    'settings'  => 'c_shop_full',
    'label'     => esc_attr__( 'Fullwidth?', 'minera' ),
    'section'   => 'shop',
    'choices' => array(
        'on' => esc_attr__('Yes', 'minera'),
        'off' => esc_attr__('No', 'minera'),
    ),
    'default' => '0',
));

/*sidebar background*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'color',
    'settings'  => 'c_shop_sidebar_bg',
    'description' => esc_attr__('Sidebar background color', 'minera'),
    'label'     => esc_attr__( 'Only for Shop page', 'minera' ),
    'section'   => 'shop',
    'default' => '#ffffff',
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.is-shop-page .shop-archive-sidebar',
            'property' => 'background-color'
        )
    ),
    'active_callback' => array(
        array(
            'setting' => 'c_shop_sidebar',
            'operator' => '!=',
            'value' => 'full'
        )
    )
));

/*view style*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'radio-image',
    'settings'  => 'c_shop_view_style',
    'description' => esc_attr__('Select the view style of Archive product page.', 'minera'),
    'label'     => esc_attr__( 'Filter view style', 'minera' ),
    'section'   => 'shop',
    'choices' => array(
        'grid' => get_template_directory_uri() . '/images/sidebar/grid.png',
        'list' => get_template_directory_uri() . '/images/sidebar/list.png',
    ),
    'default' => 'grid',
));

/* SWATCHES LIST */
Minera_Kirki::add_field( 'minera', array(
    'type'        => 'switch',
    'settings'    => 'product_swatch',
    'label'       => esc_attr__( 'Product swatch', 'minera' ),
    'section'     => 'shop',
    'default'     => 1,
    'description' => esc_attr__( 'Display product swatch on archive page', 'minera' ),
    'choices'     => array(
        'off' => esc_attr__( 'Off', 'minera' ),
        'on'  => esc_attr__( 'On', 'minera' ),
    )
));

/*sidebar position*/
Minera_Kirki::add_field( 'minera', array(
    'type'      => 'radio-image',
    'settings'  => 'c_shop_sidebar',
    'description' => esc_attr__('Select the sidebar position of Archive product page.', 'minera'),
    'label'     => esc_attr__( 'Sidebar position', 'minera' ),
    'section'   => 'shop',
    'choices' => array(
        'left' => get_template_directory_uri() . '/images/sidebar/left.png',
        'full' => get_template_directory_uri() . '/images/sidebar/full.png',
        'right' => get_template_directory_uri() . '/images/sidebar/right.png',
    ),
    'default' => 'full',
));
