<?php
/**
 * Typo
 *
 * @package minera
 */

/*label*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_menu_font',
	'label'     => esc_attr__( 'Menu font', 'minera' ),
	'section'   => 'typo',
));

/*parent-menu*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'typography',
	'settings'  => 'typo_menu_one',
	'label'     => esc_attr__( 'Parent menu', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => array(
				'.theme-header-layout .theme-primary-menu > li > a',
				'.theme-sidebar-menu > li > a',
			),
		),
	),
));

/*sub-menu*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'typography',
	'settings'  => 'typo_submenu',
	'label'     => esc_attr__( 'Submenu', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'subsets'        => array( 'latin-ext' ),
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => array(
				'.theme-header-layout .theme-primary-menu .sub-menu a',
				'.theme-sidebar-menu .sub-menu a',
			),
		),
	),
));

/*label*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_body_font',
	'label'     => esc_attr__( 'Body font', 'minera' ),
	'section'   => 'typo',
));

/*body font*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'typography',
	'settings'  => 'typo_body',
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#8f8f8f',
		'font-size'      => '14px',
		'line-height'    => '24px',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'body, p',
		),
	),
));

/*label*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_heading_font',
	'label'     => esc_attr__( 'Heading font', 'minera' ),
	'section'   => 'typo',
));

/*heading font*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'typography',
	'settings'  => 'typo_heading',
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'line-height'    => '1.2em',
		'color'          => '#3e3e3e',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h1, h2, h3, h4, h5, h6',
		),
		array(
			'element'  => array(
				'#checkout-top .woocommerce-info',
			),
			'property' => 'color',
			'choice'   => 'color',
		),
	),
));

/*h1*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h1',
	'label'     => esc_attr__( 'H1', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '42px',
	'output'      => array(
		array(
			'element' => 'h1',
			'property' => 'font-size',
		),
	),
));

/*h2*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h2',
	'label'     => esc_attr__( 'H2', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '36px',
	'output'      => array(
		array(
			'element' => 'h2',
			'property' => 'font-size',
		),
	),
));

/*h3*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h3',
	'label'     => esc_attr__( 'H3', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '30px',
	'output'      => array(
		array(
			'element' => 'h3',
			'property' => 'font-size',
		),
	),
));

/*h4*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h4',
	'label'     => esc_attr__( 'H4', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '24px',
	'output'      => array(
		array(
			'element' => 'h4',
			'property' => 'font-size',
		),
	),
));

/*h5*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h5',
	'label'     => esc_attr__( 'H5', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '20px',
	'output'      => array(
		array(
			'element' => 'h5',
			'property' => 'font-size',
		),
	),
));

/*h6*/
Minera_Kirki::add_field( 'minera', array(
	'type'      => 'text',
	'settings'  => 'typo_h6',
	'label'     => esc_attr__( 'H6', 'minera' ),
	'description'     => esc_attr__( 'Font size', 'minera' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => '18px',
	'output'      => array(
		array(
			'element' => 'h6',
			'property' => 'font-size',
		),
	),
));
