<?php /*Include static files: javascript and css*/

if ( is_admin() ) return;

/*Enqueue scripts and styles for the front end.*/

/*main stylesheet*/
wp_enqueue_style(
	'minera-theme-style',
	get_stylesheet_uri()
);

/*default font style*/
if(!class_exists( 'Kirki' )){
    $query_args = array(
        'family' => urlencode( 'Poppins:400' )
    );
    wp_enqueue_style(
        'minera-default-fontstyle',
        esc_url_raw(add_query_arg( $query_args, "//fonts.googleapis.com/css" ))
    );
}

/*comment reply*/
if(is_singular() && comments_open() && get_option('thread_comments')){
    wp_enqueue_script('comment-reply');
}

/*like media screen*/
wp_enqueue_script(
	'minera-theme-enquire',
	get_template_directory_uri() . '/js/enquire.js',
	array( 'jquery' ),
	false,
	true
);

/*primary menu*/
wp_enqueue_script(
	'minera-theme-ht-slim-menu',
	get_template_directory_uri() . '/js/ht.slim.menu.js',
	array( 'jquery' ),
	false,
	true
);

/*slick carousel*/
wp_enqueue_script(
	'minera-theme-slick',
	get_template_directory_uri() . '/js/slick.js',
	array( 'jquery' ),
	false,
	true
);

/*video post format*/
wp_enqueue_script(
	'minera-theme-plyr',
	get_template_directory_uri() . '/js/plyr.js',
	array( 'jquery' ),
	false,
	true
);

/*sidebar menu*/
wp_enqueue_script(
	'minera-theme-accordion',
	get_template_directory_uri() . '/js/accordion.menu.js',
	array( 'jquery' ),
	false,
	true
);

/*visible*/

if(get_theme_mod('c_blog_style', 'pagi') != 'pagi' && (minera_blog() || is_search())){
    wp_enqueue_script(
        'minera-visible',
        get_template_directory_uri() . '/js/visible.min.js',
        array( 'jquery' ),
        false,
        true
    );
}

/*smooth scrolling plugin*/
if(get_theme_mod( 'smooth', '0' ) == '1'){
	wp_enqueue_script(
		'minera-smooth-scrolling-plugins',
		get_template_directory_uri() . '/js/smoothscroll.js',
		array( 'jquery' ),
		false,
		true
	);
}

/*bigpicture js*/
wp_enqueue_script(
	'minera-video-popup',
	get_template_directory_uri() . '/js/bigpicture.js',
	array( 'jquery' ),
	false,
	true
);

/*loading effect*/
if(get_theme_mod('loading', false) == true){
    wp_enqueue_script(
        'minera-nprogress',
        get_template_directory_uri() . '/js/nprogress.js',
        array( 'jquery'),
        false,
        true
    );
}

/*prettyphoto single product*/
if( is_singular( 'product' ) && true == get_theme_mod( 'effect_off', true ) ){
    /*photoswipe lightbox*/
    if( get_theme_mod( 'c_shop_lightbox', false ) == true ){
        wp_enqueue_style( 'minera-pswp-lightbox', get_template_directory_uri() . '/css/pswp-skin.css');
        wp_enqueue_script( 'minera-pswp-lightbox-script', get_template_directory_uri() . '/js/jquery.photoswipe-global.js', array('jquery'), null, true );
    }else{
        /*ez zoom*/
        wp_enqueue_script(
            'minera-theme-easy-zoom',
            get_template_directory_uri() . '/js/ez.zoom.js',
            array( 'jquery' ),
            false,
            true
        );
    }
}

/*custom js*/
wp_enqueue_script(
    'minera-theme-script',/*name*/
    get_template_directory_uri() . '/js/custom.js',/*src*/
    array( 'jquery'),/*load other requied script before load this script*/
    false,/*version*/
    true/*in_footer*/
);