<?php
/*modify default shortcode======================================================*/
if ( class_exists( 'WPBakeryVisualComposerAbstract' ) ) {
    /*vc_row*/
    $theme_row = array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Row stretch', 'minera' ),
            'param_name' => 'full_width',
            'value' => array(
                esc_html__( 'Default', 'minera' ) => '',
                esc_html__( 'Stretch row', 'minera' ) => 'stretch_row',
                esc_html__( 'Stretch row and content', 'minera' ) => 'stretch_row_content',
                esc_html__( 'Stretch row and content (no paddings)', 'minera' ) => 'stretch_row_content_no_spaces',
                esc_html__( 'Theme fullwidth', 'minera' ) => 'theme_default',
            ),
            'std' => '',
            'description' => esc_html__( 'Select stretching options for row and content (Note: stretched may not work properly if parent container has "overflow: hidden" CSS property).', 'minera' ),
        ),
    );
    vc_add_params( 'vc_row', $theme_row );

    /*custom heading*/
    $theme_product = array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Font weight', 'minera' ),
            'param_name'  => 'font_weight',
            'dependency' => array(
                'element' => 'use_theme_fonts',
                'value' => 'yes'
            ),
            'value' => array(300,400,500,600,700),
            'std' => 600
        ),
        array(
            'type'        => 'checkbox',
            'heading'     => esc_html__('Underline?', 'minera' ),
            'param_name'  => 'line',
            'value' => array(
                esc_html__('Yes', 'minera') => 'yes',
            ),
            'std' => 'no'
        ),
        array(
            'type'        => 'colorpicker',
            'heading'     => esc_html__('Color', 'minera' ),
            'param_name'  => 'line_color',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes'
            ),
            'value' => '#a1a2a3',
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Style', 'minera' ),
            'param_name'  => 'line_style',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes'
            ),
            'value' => array(
                esc_html__('Solid', 'minera') => 'solid',
                esc_html__('Dashed', 'minera') => 'dashed',
                esc_html__('Dotted', 'minera') => 'dotted',
                esc_html__('Double', 'minera') => 'double',
            ),
            'std' => 'solid'
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Height', 'minera' ),
            'param_name'  => 'line_height',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes'
            ),
            'value' => '1px',
        ),
    );
    vc_add_params( 'vc_custom_heading', $theme_product);

    /*vc_btn*/
    $theme_button = array(
        /*style*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Style', 'minera' ),
            'description' => esc_html__( 'Select button display style.', 'minera' ),
            'param_name' => 'style',
            'value' => array(
                esc_html__( 'Modern', 'minera' ) => 'modern',
                esc_html__( 'Classic', 'minera' ) => 'classic',
                esc_html__( 'Flat', 'minera' ) => 'flat',
                esc_html__( 'Outline', 'minera' ) => 'outline',
                esc_html__( '3d', 'minera' ) => '3d',
                esc_html__( 'Custom', 'minera' ) => 'custom',
                esc_html__( 'Outline custom', 'minera' ) => 'outline-custom',
                esc_html__( 'Gradient', 'minera' ) => 'gradient',
                esc_html__( 'Gradient Custom', 'minera' ) => 'gradient-custom',
                esc_html__( 'Minera: Text with underline', 'minera' ) => 'text-underline-btn',
                esc_html__( 'Minera: Text with background', 'minera' ) => 'text-bg-color-btn',
            ),
            'std' => 'text-underline-btn'
        ),
        /*disable shape option*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Shape', 'minera' ),
            'description' => esc_html__( 'Select button shape.', 'minera' ),
            'param_name' => 'shape',
            'value' => array(
                esc_html__( 'Rounded', 'minera' ) => 'rounded',
                esc_html__( 'Square', 'minera' ) => 'square',
                esc_html__( 'Round', 'minera' ) => 'round',
            ),
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'text-underline-btn'
                ),
            ),
        ),
        /*disable color option*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Color', 'minera' ),
            'param_name' => 'color',
            'description' => esc_html__( 'Select button color.', 'minera' ),
            'param_holder_class' => 'vc_colored-dropdown vc_btn3-colored-dropdown',
            'value' => array(
                    esc_html__( 'Classic Grey', 'minera' ) => 'default',
                    esc_html__( 'Classic Blue', 'minera' ) => 'primary',
                    esc_html__( 'Classic Turquoise', 'minera' ) => 'info',
                    esc_html__( 'Classic Green', 'minera' ) => 'success',
                    esc_html__( 'Classic Orange', 'minera' ) => 'warning',
                    esc_html__( 'Classic Red', 'minera' ) => 'danger',
                    esc_html__( 'Classic Black', 'minera' ) => 'inverse',
                ) + getVcShared( 'colors-dashed' ),
            'std' => 'grey',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'custom',
                    'outline-custom',
                    'gradient',
                    'gradient-custom',
                    'text-underline-btn',
                    'text-bg-color-btn'
                ),
            ),
        ),
        /*custom color/background*/
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Custom color/background?', 'minera' ),
            'param_name' => 'color_bg',
            'dependency' => array(
                'element' => 'style',
                'value' => 'text-bg-color-btn'
            ),
            'value' => array(
                esc_html__('Yes', 'minera') => 'yes'
            ),
            'std' => 'no'
        ),
        /*custom color*/
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Color', 'minera' ),
            'param_name' => 'btn_color',
            'dependency' => array(
                'element' => 'color_bg',
                'value' => 'yes',
            ),
            'value' => '#3e3e3e'
        ),
        /*custom background*/
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Background', 'minera' ),
            'param_name' => 'btn_bg',
            'dependency' => array(
                'element' => 'color_bg',
                'value' => 'yes',
            ),
            'value' => '#cecece'
        ),
    );
    vc_add_params( 'vc_btn', $theme_button );

    /*vc_tta_tabs*/
    $theme_tabs = array(
        array(
            'type' => 'dropdown',
            'param_name' => 'style',
            'value' => array(
                esc_html__( 'Classic', 'minera' ) => 'classic',
                esc_html__( 'Modern', 'minera' ) => 'modern',
                esc_html__( 'Flat', 'minera' ) => 'flat',
                esc_html__( 'Outline', 'minera' ) => 'outline',
                esc_html__( 'Minera Theme', 'minera' ) => 'minera-tabs',
            ),
            'heading' => esc_html__( 'Style', 'minera' ),
            'description' => esc_html__( 'Select tabs display style.', 'minera' ),
        ),
        /*disable `shape` option on shape Custom*/
        array(
            'type' => 'dropdown',
            'param_name' => 'shape',
            'value' => array(
                esc_html__( 'Rounded', 'minera' ) => 'rounded',
                esc_html__( 'Square', 'minera' ) => 'square',
                esc_html__( 'Round', 'minera' ) => 'round',
            ),
            'heading' => esc_html__( 'Shape', 'minera' ),
            'description' => esc_html__( 'Select tabs shape.', 'minera' ),
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'minera-tabs',
                ),
            ),
        ),
        /*disable `color` option on Theme Style Custom*/
        array(
            'type' => 'dropdown',
            'param_name' => 'color',
            'heading' => esc_html__( 'Color', 'minera' ),
            'description' => esc_html__( 'Select tabs color.', 'minera' ),
            'value' => getVcShared( 'colors-dashed' ),
            'std' => 'grey',
            'param_holder_class' => 'vc_colored-dropdown',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'minera-tabs',
                ),
            ),
        ),
    );
    vc_add_params('vc_tta_tabs', $theme_tabs);
}

/*modify google font list======================================================*/
if ( ! function_exists( 'helper_vc_fonts' ) ) {
    function minera_add_new_gg_fonts( $fonts_list ) {
        $poppins->font_family = 'Poppins';
        $poppins->font_types = '300 light:300:normal,300 light italic:300:italic,400 regular:400:normal,400 italic:400:italic,500 medium:500:normal,500 medium italic:500:italic,600 semi-bold:600:normal,600 semi-bold italic:600:italic,700 bold:700:normal,700 bold italic:700:italic';
        $poppins->font_styles = 'regular,italic,300italic,400italic,500italic,600italic,700italic';
        $poppins->font_family_description = esc_html_e( 'Select font family', 'minera' );
        $poppins->font_style_description = esc_html_e( 'Select font styling', 'minera' );
        $fonts_list[] = $poppins;

        return $fonts_list;
    }
    add_filter('vc_google_fonts_get_fonts_filter', 'minera_add_new_gg_fonts');
}