<?php

class minera_Widget_mailchimp_subscribe extends WP_Widget {

	/**
	 * @internal
	 */
	function __construct() {
		$widget_ops = array(
            'description' => esc_html__('Add mailchimp subscribe form', 'minera'),
            'classname' => 'widget mail-widget'
        );
		parent::__construct( false, esc_html__( 'Mailchimp subscribe form', 'minera'), $widget_ops );
	}

    /**
     * @param array $args
     * @param array $instance
     */
    function widget( $args, $instance ) {
        extract( $args );
		$text     = $instance['text'];
        $title     = $instance['title'];
        $title     = $before_title . $title . $after_title;
        $action     = $instance['action'];

        $filepath = get_template_directory() . '/inc/widgets/mailchimp-subscribe/views/widget.php';
        if ( file_exists( $filepath ) ) {
            include( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return $new_instance;
    }

    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'text' => esc_html__('Subscribe to receive inspiration, ideas, and news in your inbox.', 'minera'), 'action' => '#', 'title' => esc_html__('NEWS LETTER', 'minera') ) ); ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title', 'minera'); ?> </label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>"
                   value="<?php echo esc_attr( $instance['title'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"/>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'text' )); ?>"><?php esc_html_e( 'Short text', 'minera'); ?> </label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'text' )); ?>"
                   value="<?php echo esc_attr( $instance['text'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'text' )); ?>"/>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'action' )); ?>"><?php esc_html_e( 'From action', 'minera'); ?></label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'action' )); ?>"
                   value="<?php echo esc_attr( $instance['action'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'action' )); ?>"/>
        </p>
    <?php
    }
}

