<?php
/**
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

/*sidebar on shop archive*/
$sidebar = get_theme_mod('c_shop_sidebar', 'full');
$wide = get_theme_mod('c_shop_full', false);

$container = 'container';
$sidebar_position = '';
$col_class = 'col-md-9 col-lg-9';

if($wide == true){
    $container = 'shop-container-fluid';
}

if($sidebar == 'right'){
    $sidebar_position = 'shop-right-sidebar';
}elseif($sidebar == 'left'){
    $sidebar_position = 'shop-left-sidebar';
}else{
    $sidebar_position = 'shop-not-sidebar';
    $col_class = 'col-md-12 col-lg-12';
}

/*query*/
if ( get_query_var('paged') ) {
    $paged = get_query_var('paged');
}elseif ( get_query_var('page') ){
    $paged = get_query_var('page');
}else {
    $paged = 1;
}

$ppp = (int) get_theme_mod('c_shop_ppp', 12);
$key = isset($_GET['s']) ? $_GET['s'] : 'product';

$args = array(
    'post_type' => 'product',
    's' => $key,
    'post_status' => 'publish',
    'ignore_sticky_posts' => 1,
    'paged' => $paged,
    'posts_per_page' => $ppp
);

$search_query = new WP_Query($args);

get_header(); ?>

<main id="main" class="flw">
    <div class="<?php echo esc_attr($container); ?>">
        <div class="row woo-archive <?php echo esc_attr($sidebar_position); ?>">
            <div class="shop-archive-content theme-product-block <?php echo esc_attr($col_class); ?>">
                <?php if ( $search_query->have_posts() ) :
                    echo '<ul class="products">';
                        while ( $search_query->have_posts() ) : $search_query->the_post();
                            wc_get_template_part( 'content', 'product' );
                        endwhile;
                    echo '</ul>';
                    minera_paging($search_query);
                else:
                    do_action( 'woocommerce_no_products_found' );
                endif; ?>
            </div>
            <?php if($sidebar != 'full'):/*sidebar*/ ?>
                <div class="shop-archive-sidebar col-md-3 col-lg-3">
                    <?php get_sidebar('shop'); ?>
                </div>
            <?php endif; wp_reset_postdata(); ?>
        </div>
    </div>
</main>
<?php get_footer(); ?>
