<?php
/**
 * Related Products
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

if ( $related_products ) :
    $position = minera_get_sidebar_position();

    $slider_related = '';
    if(count($related_products) > 3){
        $slider_related = 'slider-related-product';
        wp_add_inline_script(
            'minera-theme-slick',
            "jQuery(window).on('load', function(){
                jQuery('.slider-related-product .products').slick({
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    infinite: false,
                    arrows: true,
                    dots: true,
                    fade: false,
                    responsive: [
                        {
                            breakpoint: 992,
                            settings: {
                                slidesToShow: 2
                            }
                        },
                        {
                            breakpoint: 370,
                            settings: {
                                slidesToShow: 1
                            }
                        }
                    ]
                });
            });",
            'after'
        );
    }else{
        $slider_related = 'mobile-slider-related-product';
        wp_add_inline_script(
            'minera-theme-slick',
            "var width = matchMedia('(max-width: 991px)');
            function minera_single_product_related(data) {
                if(data.matches){
                    jQuery('.mobile-slider-related-product .products').slick({
                        slidesToShow: 2,
                        slidesToScroll: 1,
                        infinite: false,
                        arrows: true,
                        dots: true,
                        fade: false,
                        responsive: [
                            {
                                breakpoint: 370,
                                settings: {
                                    slidesToShow: 1
                                }
                            }
                        ]
                    });
                }else{
                    if(jQuery('.mobile-slider-related-product .products').hasClass('slick-initialized')){
                        jQuery('.mobile-slider-related-product .products').slick('unslick');
                    }
                }
            }

            minera_single_product_related(width);
            width.addListener(minera_single_product_related);",
            'after'
        );
    } ?>

	<section class="related products <?php echo esc_attr($slider_related); ?>">
        <?php echo 'full' == $position ? '<div class="container">' : ''; ?>
		<h2 class="related-title"><?php esc_html_e( 'Related products', 'minera' ); ?></h2>
		<?php woocommerce_product_loop_start(); ?>
			<?php foreach ( $related_products as $related_product ) : ?>
				<?php
				 	$post_object = get_post( $related_product->get_id() );
					setup_postdata( $GLOBALS['post'] =& $post_object );
					wc_get_template_part( 'content', 'product' ); ?>
			<?php endforeach; ?>
		<?php woocommerce_product_loop_end(); ?>
        <?php echo 'full' == $position ? '</div>' : ''; ?>
	</section>

<?php endif;

wp_reset_postdata();
