<?php
/**
 * Single Product Up-Sells
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $upsells ) :
    $position = minera_get_sidebar_position();
    ?>

	<section class="up-sells upsells products">
        <?php echo 'full' == $position ? '<div class="container">' : ''; ?>
		<h2 class="upsells-title"><?php esc_html_e( 'You may also like&hellip;', 'minera' ) ?></h2>
		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>
		<?php woocommerce_product_loop_end(); ?>
        <?php echo 'full' == $position ? '</div>' : ''; ?>
	</section>

<?php endif;

wp_reset_postdata();
